Package: groovy.xml.streamingmarkupsupport

## [Java] Class Builder

- groovy.xml.streamingmarkupsupport.Builder

-     public abstract class Builder
      extends GroovyObjectSupport

- - ### Nested Class Summary

    Nested classes
    Modifiers | Name | Description
    --- | --- | ---
    `protected static class` | `Builder.Built` |

  - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `protected Map` | `namespaceMethodMap` |

  - ### Constructor Summary

    Constructors
    Constructor and description
    `Builder(Map namespaceMethodMap)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public abstract Object` | `bind(Closure root)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class GroovyObjectSupport` | `getMetaClass, setMetaClass`

- - ### Field Detail

    - #### protected final Map namespaceMethodMap

  - ### Constructor Detail

    - #### public Builder(Map namespaceMethodMap)

  - ### Method Detail

    - #### public abstract Object bind(Closure root)